List effective access across the tenant
GET
/api/v1/tenants/{tenantId}/access/effective
const url = 'https://app.avera.io/api/v1/tenants/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/access/effective';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://app.avera.io/api/v1/tenants/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/access/effectiveThe tenant-wide effective-access projection the Access Explorer pivots on. Tenant-admin gated.
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”tenantId
required
string format: uuid
Responses
Section titled “Responses”OK
Media type*/*
Array<object>
object
userId
required
string format: uuid
principalName
required
string
participationScope
required
string
projectId
required
string format: uuid
projectKey
required
string
projectName
required
string
itemTypeId
string | null
itemTypeName
string | null
roleId
required
string
roleName
required
string
permissions
required
Array<string>
source
required
string
expiresAt
string | null format: date-time